# Berkshelf::Notifiers::Datadog
[![Gem Version](https://badge.fury.io/rb/berkshelf-notifiers-datadog.svg)](https://badge.fury.io/rb/berkshelf-notifiers-datadog)

Add the ability for [Berkshelf](https://github.com/berkshelf/berkshelf) to send its output to Datadog when uploading cookbooks.

## Installation

Install this gem directly into ChefDK:

```bash
chef gem install berkshelf_datadog_notifier
```

## Usage

This gem monkey patches the default `human` Berkshelf formatter. Running `berks upload` without any arguments, or specifically running `berks upload -F human`, will trigger it to attempt to notify the Datadog HTTP API of any cookbooks that are uploaded if you have the `$DATADOG_API_KEY` env var set.

It mimics how Berkshelf’s own bin works, and thus can be used as a drop-in replacement for `berks` entirely. One way to do that is to alias it in your dotfiles:

```bash
alias berks='berks-notifier'
```

## Development

After checking out the repo, run `chef exec bundle install` to install dependencies. Then, run `chef exec bundle exec rake spec` to run the tests.

To install this gem onto your local machine, run `chef exec bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `chef exec bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/darkskyapp/berkshelf-notifiers-datadog. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the Berkshelf::Notifiers::Datadog project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/darkskyapp/berkshelf-notifiers-datadog/blob/master/CODE_OF_CONDUCT.md).
